## org.eclipse.emf.codegen.merge.properties
Class PropertyMerger

    java.lang.Object
      org.eclipse.emf.codegen.merge.properties.PropertyMerger

Direct Known Subclasses:
  PropertyMerger, PropertyMerger.PlatformRunnable

    public class PropertyMerger

extends java.lang.Object

This implements the method `run(java.lang.Object)`, which is called just like main during headless workbench invocation.

Nested Class Summary
`static class` `PropertyMerger.PlatformRunnable` Deprecated.

Field Summary
`protected static java.util.regex.Pattern` `nlPattern`
`protected static java.util.regex.Pattern` `propertyLine`
`protected java.lang.String` `sourceProperties`
`protected java.util.Map<java.lang.String,java.lang.String>` `sourceToTargetMap`
`protected java.lang.String` `targetProperties`
`protected java.util.Map<java.lang.String,java.lang.String>` `targetToSourceMap`

Constructor Summary
`PropertyMerger()` This creates an empty instances, when used as a runnable.

Method Summary
`java.lang.String` `createPropertiesForInputStream(java.io.InputStream inputStream)`
`java.lang.String` `createPropertiesForURI(java.lang.String uri)` Create a JDOM from a URI.
`java.lang.String` `getSourceProperties()`
`java.util.Map<java.lang.String,java.lang.String>` `getSourceToTargetMap()`
`java.lang.String` `getTargetProperties()`
`void` `merge()`
`java.util.Map<java.lang.String,java.lang.String>` `parse(java.lang.String properties)`
`java.lang.Object` `run(java.lang.Object object)` This is called with the command line arguments of a headless workbench invocation.
`void` `setSourceProperties(java.lang.String sourceProperties)`
`void` `setTargetProperties(java.lang.String targetProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceProperties

    protected java.lang.String sourceProperties

### targetProperties

    protected java.lang.String targetProperties

### sourceToTargetMap

    protected java.util.Map<java.lang.String,java.lang.String> sourceToTargetMap

### targetToSourceMap

    protected java.util.Map<java.lang.String,java.lang.String> targetToSourceMap

### nlPattern

    protected static java.util.regex.Pattern nlPattern

### propertyLine

    protected static java.util.regex.Pattern propertyLine

Constructor Detail

### PropertyMerger

    public PropertyMerger()

  This creates an empty instances, when used as a runnable.

Method Detail

### getSourceProperties

    public java.lang.String getSourceProperties()

### setSourceProperties

    public void setSourceProperties(java.lang.String sourceProperties)

### getTargetProperties

    public java.lang.String getTargetProperties()

### setTargetProperties

    public void setTargetProperties(java.lang.String targetProperties)

### getSourceToTargetMap

    public java.util.Map<java.lang.String,java.lang.String> getSourceToTargetMap()

### createPropertiesForURI

    public java.lang.String createPropertiesForURI(java.lang.String uri)

  Create a JDOM from a URI.

### createPropertiesForInputStream

    public java.lang.String createPropertiesForInputStream(java.io.InputStream inputStream)

### merge

    public void merge()

### parse

    public java.util.Map<java.lang.String,java.lang.String> parse(java.lang.String properties)

### run

    public java.lang.Object run(java.lang.Object object)

  This is called with the command line arguments of a headless workbench invocation.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.